<?php 
/**
 * Plugin Name: Flag Counter (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/FlagCounter
 * Description: This plugin allows you to include a simple statistic in your website showing the flags and hits of the countries your visitors came from
 * Author: Stefan Giehl
 * Author URI: http://github.com/sgiehl/piwik-plugin-FlagCounter
 * Version: 5.0.0
 */
?><?php

/**
 * Matomo - free/libre analytics platform
 *
 * @link    https://matomo.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 *
 */

namespace Piwik\Plugins\FlagCounter;

/**
 *
 */
 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class FlagCounter extends \Piwik\Plugin
{
    /**
     * @see \Piwik\Plugin::registerEvents
     */
    public function registerEvents()
    {
        return array(
            'Translate.getClientSideTranslationKeys' => 'getClientSideTranslationKeys',
        );
    }

    public function getClientSideTranslationKeys(&$translationKeys)
    {
        $translationKeys[] = 'FlagCounter_PluginDescription';
        $translationKeys[] = 'FlagCounter_GeneratorDescription';
        $translationKeys[] = 'General_Website';
        $translationKeys[] = 'FlagCounter_NumberOfRows';
        $translationKeys[] = 'FlagCounter_NumberOfColumns';
        $translationKeys[] = 'FlagCounter_Font';
        $translationKeys[] = 'FlagCounter_FontSize';
        $translationKeys[] = 'FlagCounter_FontColor';
        $translationKeys[] = 'General_Date';
        $translationKeys[] = 'General_Period';
        $translationKeys[] = 'FlagCounter_ShowCountryCode';
        $translationKeys[] = 'FlagCounter_HideFlag';
        $translationKeys[] = 'FlagCounter_UrlToImage';
    }
}
